Bug 1869220 - 4.5: oauth authn: support sha256~ oauth tokens
Summary: 4.5: oauth authn: support sha256~ oauth tokens
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.z
Assignee: Stefan Schimanski
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1869218
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-17 10:25 UTC by Stefan Schimanski
Modified: 2020-09-17 06:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1869218
Environment:
Last Closed: 2020-09-08 10:54:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 525 None closed Bug 1870667: oc logout should make the token invalid 2020-09-17 06:45:04 UTC
Github openshift origin pull 25415 None closed Bug 1869220: UPSTREAM: <carry>: oauth: support sha256~ prefixed tokens 2020-09-17 06:45:04 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:55:15 UTC

Description Stefan Schimanski 2020-08-17 10:25:40 UTC
4.5 has to support sha256~ prefixed oauth access and authentication tokens, as specified in https://github.com/openshift/enhancements/blob/master/enhancements/authentication/oauth-resource-storage.md.

+++ This bug was initially created as a clone of Bug #1869218 +++

Fake 4.6 BZ used as parent of 4.5 BZ adding sha256~ oauth token support to 4.5, following https://github.com/openshift/enhancements/blob/master/enhancements/authentication/oauth-resource-storage.md.

Comment 5 errata-xmlrpc 2020-09-08 10:54:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.